SELECT	DISTINCT bto.[TargetConnection_Code] AS [TargetConnectionCode]
		,bto.[TargetConnection_Name] AS [TargetConnectionName]
		,bto.[Code] AS [TargetObjectCode]
		,bto.[Name] AS [TargetObjectName]
		,bto.[Schema] AS [TargetObjectSchema]
		,bso.[Code] AS [SourceObjectCode]
		,bso.[Name] AS [SourceObjectName]
		,bso.[Schema] AS [SourceObjectSchema]
		,bso.[SourceConnection_Code] AS [SourceConnectionCode]
		,bso.[SourceConnection_Name] AS [SourceConnectionName]
		,bc.[SourceConnection_Code] AS [ExtractConnectionCode]
		,bc.[SourceConnection_Name] AS [ExtractConnectionName]
		,bc.[StagingConnection_Code] AS [StagingConnectionCode]
		,bc.[StagingConnection_Name] AS [StagingConnectionName]
FROM	[mdm].[bimlTargetColumnMappings] btcm
INNER JOIN [mdm].[bimlTargetColumns] btc
	ON	btcm.[TargetColumn_Code] = btc.[Code]
INNER JOIN [mdm].[bimlTargetObjects] bto
	ON	btc.[TargetObject_Code]   = bto.[Code]
INNER JOIN [mdm].[bimlSourceColumns] bsc
	ON	btcm.[SourceColumn_Code] = bsc.[Code]
INNER JOIN [mdm].[bimlSourceObjects] bso
	ON	bsc.[SourceObject_Code]   = bso.[Code]
INNER JOIN [mdm].[bimlConfigurations] bc
	ON	bto.[TargetConnection_Code] = bc.[Connection_Code]